#!/usr/bin/env python3
# -*- coding: utf-8 -*-
#
# TestName documentation build configuration file, created by
# sphinx-quickstart on Fri Mar 23 11:32:48 2018.
#
# This file is execfile()d with the current directory set to its
# containing dir.
#
# Note that not all possible configuration values are present in this
# autogenerated file.
#
# Check out http://www.sphinx-doc.org/en/stable/config.html for further information
#
# All configuration values have a default; values that are commented out
# serve to show the default.

# If extensions (or modules to document with autodoc) are in another directory,
# add these directories to sys.path here. If the directory is relative to the
# documentation root, use os.path.abspath to make it absolute, like shown here.
#
# import os
# import sys
# sys.path.insert(0, os.path.abspath('.'))


# -- General configuration ------------------------------------------------

# If your documentation needs a minimal Sphinx version, state it here.
#
# needs_sphinx = '1.0'

# Add any Sphinx extension module names here, as strings. They can be
# extensions coming with Sphinx (named 'sphinx.ext.*') or your custom
# ones.
extensions = ['sphinx.ext.mathjax',
    'sphinx.ext.ifconfig']

# Add any paths that contain templates here, relative to this directory.
templates_path = ['_templates']

# The suffix(es) of source filenames.
# You can specify multiple suffix as a list of string:
#
# source_suffix = ['.rst', '.md']
source_suffix = '.rst'

# The encoding of source files.
#
source_encoding = 'latin-1'

# The master toctree document.
master_doc = 'index'

# General information about the project.
import datetime
now = datetime.datetime.now()

project = 'Component'
copyright = str(now.year) + ', LCM'
author = 'LCM'

# The version info for the project you're documenting, acts as replacement for
# |version| and |release|, also used in various other places throughout the
# built documents.
#
# The short X.Y version.
version = '0'
# The full version, including alpha/beta/rc tags.
release = '1'

# The language for content autogenerated by Sphinx. Refer to documentation
# for a list of supported languages.
#
# This is also used if you do content translation via gettext catalogs.
# Usually you set "language" from the command line for these cases.
language = None

# List of patterns, relative to source directory, that match files and
# directories to ignore when looking for source files.
# This patterns also effect to html_static_path and html_extra_path
exclude_patterns = []

# The name of the Pygments (syntax highlighting) style to use.
pygments_style = 'sphinx'

# If true, `todo` and `todoList` produce output, else they produce nothing.
todo_include_todos = False

rst_prolog = """
.. |sym| replace:: SyMSpace
.. role:: gray
.. role:: guibutton
.. |clearfloat|  raw:: html

    <div class="clearer"></div>
	
"""

# -- Options for HTML output ----------------------------------------------

# The theme to use for HTML and HTML Help pages.  See the documentation for
# a list of builtin themes.
#
html_theme = 'classic'

# Theme options are theme-specific and customize the look and feel of a theme
# further.  For a list of options available for each theme, see the
# documentation.
#
lcmblue = "#00ADEF"
lcmgray2 = "#D9DADB"
lcmgray4 = "#B1B2B4"
lcmgray7 = "#6F7072"
gray1 = "rgb(95%,95%,95%)"

html_theme_options = {
    "sidebarbgcolor":lcmgray4,
    "sidebartextcolor":"white",
    "sidebarlinkcolor":"white",
    "relbarbgcolor":lcmgray7,
    "bgcolor": "white",
    "linkcolor":lcmgray7,
    "visitedlinkcolor":lcmgray7,
    "headbgcolor":lcmblue,
    "headtextcolor":"white",
    "headlinkcolor":"white",
    "codebgcolor":gray1,
    "footerbgcolor":"black"
}

# Add any paths that contain custom static files (such as style sheets) here,
# relative to this directory. They are copied after the builtin static files,
# so a file named "default.css" will overwrite the builtin "default.css".
html_static_path = ['rst/_static']

# this is used to add an additional stylefile (not only overwirte an existing)
def setup(app):
    app.add_stylesheet('custom.css')

# The name for this set of Sphinx documents.
# "<project> v<release> documentation" by default.
#
html_title = project + " v" + version + "." +release + " documentation"

# Custom sidebar templates, must be a dictionary that maps document names
# to template names.
#
# This is required for the alabaster theme
# refs: http://alabaster.readthedocs.io/en/latest/installation.html#sidebars
'''
html_sidebars = {
    '**': [
        'about.html',
        'navigation.html',
        'relations.html',  # needs 'show_related': True theme option to display
        'searchbox.html',
        'donate.html',
    ]
}
'''
html_sidebars = {'**': []}

# To prevent copying the source code set to False
# This limits the search capability of the javascript!
html_copy_source = False

# To prevent creation of an index set to False
html_use_index = False


