/*
 * This file is part of SyMSpace.
 * 
 * Copyright(c)2020,Linz Center of Mechatronics GmbH (LCM) http://www.lcm.at/
 * All rights reserved.
 * 
 * This program is free software; you can redistribute it and/or modify it under 
 * the terms of the GNU General Public License, version 2.0 (GPLv2), as published 
 * by the Free Software Foundation.
 * This program is distributed in the hope that it will be useful, but WITHOUT ANY 
 * WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A 
 * PARTICULAR PURPOSE. See the GNU General Public License, version 2.0, for more 
 * details.
 * The GPLv2 can be found in the licenses folder as gpl-2.0.txt.
 * 
 * $Revision: 1002 $
 * $Date: 2020-04-10 23:31:24 +0200 (Fri, 10 Apr 2020) $
 */
package at.lcm.bu21.general.dtypes.editor2;

import javax.swing.table.AbstractTableModel;

import at.lcm.bu21.general.dtypes.editor2.TDataModel.TPeriodicMatrixModel;

/**
 * 
 * This is a table model for a JTable to view TPeriodicMatrix. It based on
 * AbstractTableModel.
 * 
 * @author Johannes Kaisinger
 *
 */
public class TPeriodicMatrixTableModel extends AbstractTableModel {

	/** Serialization version number */
	private static final long serialVersionUID = 1L;

	/**
	 * Local reference of the tPeriodicMatrixModel. It allows to manipulate the
	 * TPeriodicMatrix.
	 */
	private TPeriodicMatrixModel tPeriodicMatrixModel;

	/**
	 * @param tPeriodicMatrixModel
	 *            TPeriodicMatrixModel
	 */
	public TPeriodicMatrixTableModel(TPeriodicMatrixModel tPeriodicMatrixModel) {
		this.tPeriodicMatrixModel = tPeriodicMatrixModel;
	}

	@Override
	public String getColumnName(int column) {
		return "" + column;
	}

	@Override
	public int getRowCount() {
		return this.tPeriodicMatrixModel.getTPeriodicMatrix().size()[0];
	}

	@Override
	public int getColumnCount() {
		return this.tPeriodicMatrixModel.getTPeriodicMatrix().size()[1];
	}

	@Override
	public Class<String> getColumnClass(int column) {
		return String.class;
	}

	@Override
	public boolean isCellEditable(int row, int column) {
		return false;
	}

	@Override
	public String getValueAt(int row, int column) {
		String value = this.tPeriodicMatrixModel.getValue(row, column);
		return value;
	}

}
