/*
 * This file is part of SyMSpace.
 * 
 * Copyright(c)2020,Linz Center of Mechatronics GmbH (LCM) http://www.lcm.at/
 * All rights reserved.
 * 
 * This program is free software; you can redistribute it and/or modify it under 
 * the terms of the GNU General Public License, version 2.0 (GPLv2), as published 
 * by the Free Software Foundation.
 * This program is distributed in the hope that it will be useful, but WITHOUT ANY 
 * WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A 
 * PARTICULAR PURPOSE. See the GNU General Public License, version 2.0, for more 
 * details.
 * The GPLv2 can be found in the licenses folder as gpl-2.0.txt.
 * 
 * $Revision: 9715 $
 * $Date: 2020-03-19 10:01:15 +0100 (Thu, 19 Mar 2020) $
 */
package at.lcm.symspace.center.icons;

import java.net.URL;

/**
 * Toolbar Icons
 * 
 * @author Werner Koppelsttter
 */
public class IconMenu {

	/** Package of icons */
	private static final String pack = "/" + IconMenu.class.getPackage().getName().replace('.', '/') + "/";

	/** Icon for new project */
	public final static URL NEW = IconMenu.class.getResource(IconMenu.pack + "New.png");
	/** Icon for open project */
	public final static URL OPEN = IconMenu.class.getResource(IconMenu.pack + "Open.png");
	/** Icon for save project */
	public final static URL SAVE = IconMenu.class.getResource(IconMenu.pack + "Save.png");
	/** Icon for cut */
	public final static URL CUT = IconMenu.class.getResource(IconMenu.pack + "Cut.png");
	/** Icon for copy */
	public final static URL COPY = IconMenu.class.getResource(IconMenu.pack + "Copy.png");
	/** Icon for paste */
	public final static URL PASTE = IconMenu.class.getResource(IconMenu.pack + "Paste.png");
	/** Icon for paste */
	public final static URL DELETE = IconMenu.class.getResource(IconMenu.pack + "Delete.png");
	/** Icon for duplicate dataset */
	public final static URL DUPLICATE = IconMenu.class.getResource(IconMenu.pack + "Duplicate.png");
	/** Icon for reduce dataset */
	public final static URL REDUCE = IconMenu.class.getResource(IconMenu.pack + "Reduce.png");
	/** Icon for refresh project */
	public final static URL REFRESH = IconMenu.class.getResource(IconMenu.pack + "Refresh.png");
	/** Icon for check project */
	public final static URL CHECK = IconMenu.class.getResource(IconMenu.pack + "Check.png");
	/** Icon for regenerate project */
	public final static URL REGENERATE = IconMenu.class.getResource(IconMenu.pack + "Regenerate.png");
	/** Icon for regenerate project */
	public final static URL JOBMANAGER = IconMenu.class.getResource(IconMenu.pack + "jobmanager.png");
	/** Icon for move parameter down */
	public final static URL UP = IconMenu.class.getResource(IconMenu.pack + "Up.png");
	/** Icon for move parameter up */
	public final static URL DOWN = IconMenu.class.getResource(IconMenu.pack + "Down.png");
	/** Icon for show */
	public final static URL SHOW = IconMenu.class.getResource(IconMenu.pack + "Show.png");
	/** Icon for macro */
	public final static URL MACRO = IconMenu.class.getResource(IconMenu.pack + "Macro.png");

}
