/*
 * This file is part of SyMSpace.
 * 
 * Copyright(c)2020,Linz Center of Mechatronics GmbH (LCM) http://www.lcm.at/
 * All rights reserved.
 * 
 * This program is free software; you can redistribute it and/or modify it under 
 * the terms of the GNU General Public License, version 2.0 (GPLv2), as published 
 * by the Free Software Foundation.
 * This program is distributed in the hope that it will be useful, but WITHOUT ANY 
 * WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A 
 * PARTICULAR PURPOSE. See the GNU General Public License, version 2.0, for more 
 * details.
 * The GPLv2 can be found in the licenses folder as gpl-2.0.txt.
 * 
 * $Revision: 9715 $
 * $Date: 2020-03-19 10:01:15 +0100 (Thu, 19 Mar 2020) $
 */
package at.lcm.symspace.center.icons.tree;

import java.net.URL;

/**
 * TreeTableView Icons
 * 
 * @author Markus Priglinger
 */
public class IconTreeTableView {

	/** Package of icons */
	private static final String pack = "/"
			+ IconTreeTableView.class.getPackage().getName().replace('.', '/')
			+ "/";

	/** Icon for en/disabeling index column edit/view in tree */
	public final static URL ENABLE_IDX_VIEW = IconTreeTableView.class
			.getResource(IconTreeTableView.pack + "Check_idxView.png");
	public final static URL DISABLE_IDX_VIEW = IconTreeTableView.class
			.getResource(IconTreeTableView.pack + "NoCheck_idxView.png");
	/** Icon for adding index column view in tree */
	public final static URL ADD_IDX_VIEW = IconTreeTableView.class
			.getResource(IconTreeTableView.pack + "Plus_idxView.png");
	public final static URL ADD_IDX_VIEW_PRESSED = IconTreeTableView.class
			.getResource(IconTreeTableView.pack + "Plus_idxView_pressed.png");
	/** Icon for removing index column view in tree */
	public final static URL REMOVE_IDX_VIEW = IconTreeTableView.class
			.getResource(IconTreeTableView.pack + "Minus_idxView.png");
	public final static URL REMOVE_IDX_VIEW_PRESSED = IconTreeTableView.class
			.getResource(IconTreeTableView.pack + "Minus_idxView_pressed.png");
}
