/*
 * This file is part of SyMSpace.
 * 
 * Copyright(c)2020,Linz Center of Mechatronics GmbH (LCM) http://www.lcm.at/
 * All rights reserved.
 * 
 * This program is free software; you can redistribute it and/or modify it under 
 * the terms of the GNU General Public License, version 2.0 (GPLv2), as published 
 * by the Free Software Foundation.
 * This program is distributed in the hope that it will be useful, but WITHOUT ANY 
 * WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A 
 * PARTICULAR PURPOSE. See the GNU General Public License, version 2.0, for more 
 * details.
 * The GPLv2 can be found in the licenses folder as gpl-2.0.txt.
 * 
 * $Revision: 9720 $
 * $Date: 2020-03-19 15:59:49 +0100 (Thu, 19 Mar 2020) $
 */
package jobmanager;

/**
 * Commands for the JobManager
 * 
 * @author Werner Koppelsttter
 */
public enum Commands {
	/** Open/Close GUI */
	VIEW,
	/** Create a new java-job */
	CREATE_JAVA_JOB,
	/** Create a new docker-job */
	CREATE_DOCKER_JOB,
	/** Add attributes for a job */
	ADD_ATTRIBUTE,
	/** Set requirement for a job */
	SET_REQUIREMENT,
	/** Set timeout of a job */
	SET_TIMEOUT,
	/** Submit a job to a execution queue */
	SUBMIT,
	/** Request status of job */
	REQUEST_JOBSTATUS,
	/** List status of jobs */
	REQUEST_JOBSTATUS_LIST,
	/** List parameter-category */
	REQUEST_PARAMETER_LIST,
	/** Get local path of job */
	GET_PATH,
	/** Add linked file */
	LINK_FILE,
	/** Remove job from jobmanager */
	REMOVE_JOB,
	/** Stop execution of job */
	STOP,
	/** Restart job */
	RESTART,
	/** Restart job with type */
	RESTART_TYPE

}
