/*
 * This file is part of SyMSpace.
 * 
 * Copyright(c)2020,Linz Center of Mechatronics GmbH (LCM) http://www.lcm.at/
 * All rights reserved.
 * 
 * This program is free software; you can redistribute it and/or modify it under 
 * the terms of the GNU General Public License, version 2.0 (GPLv2), as published 
 * by the Free Software Foundation.
 * This program is distributed in the hope that it will be useful, but WITHOUT ANY 
 * WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A 
 * PARTICULAR PURPOSE. See the GNU General Public License, version 2.0, for more 
 * details.
 * The GPLv2 can be found in the licenses folder as gpl-2.0.txt.
 * 
 * $Revision: 9720 $
 * $Date: 2020-03-19 15:59:49 +0100 (Thu, 19 Mar 2020) $
 */
package viewer3d;

import javax.media.j3d.Canvas3D;

import com.sun.j3d.utils.behaviors.vp.OrbitBehavior;

/**
 * My OrbitBehavior with special behavior. Scroll with mouse-wheel deactivate
 * 
 * @author Werner Koppelsttter
 */
public class MyOrbitBehavior extends OrbitBehavior {

	/**
	 * Constructor without mouse-wheel-listener
	 */
	public MyOrbitBehavior() {
		super();
		this.setListenerFlags(MOUSE_LISTENER | MOUSE_MOTION_LISTENER);
	}

	/**
	 * Constructor without mouse-wheel-listener
	 * 
	 * @param c
	 *            convas3d object
	 */
	public MyOrbitBehavior(Canvas3D c) {
		super(c);
		this.setListenerFlags(MOUSE_LISTENER | MOUSE_MOTION_LISTENER);
	}

	/**
	 * Constructor without mouse-wheel-listener
	 * 
	 * @param c
	 *            convas3d object
	 * @param flags
	 *            special flags
	 */
	public MyOrbitBehavior(Canvas3D c, int flags) {
		super(c, flags);
		this.setListenerFlags(MOUSE_LISTENER | MOUSE_MOTION_LISTENER | flags);
	}

}
